Subject: Ticket Assigned - Delivery issue Order number 9664962975
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 04 Jun 2021 06:41:17 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery issue Order number 9664962975 Hi,

I'm having issue with my order number 9664962975 last may 28, 2021, i didnt
receive it and im travelling this week, it's really an urgent issue. I
already called and chat with your cuatomer support and it's really not
helpful.

I even ask if i can just pick it up in al ghurair instead coz im travelling
but they didnt allow it. Please i need an update with my order.

Thanks.

Regards,

Christina Lim
054 371 7815

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2658402